Skip to main content
`Ctrl`+`K`

# DMDASNESObjectiveFn

Function type for the local objective callback set with `DMDASNESSetObjectiveLocal()` on a `DMDA`-based `SNES`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode DMDASNESObjectiveFn(DMDALocalInfo *info, void *u, PetscReal *obj, PetscCtx ctx);

## Calling Sequence

- info - the local grid information from the `DMDA`

- u - pointer to the local input solution array

- obj - on output, the local contribution to the objective function value

- ctx - optional user-provided context

## See Also

`DMDA`, `SNES`, `DMDASNESSetObjectiveLocal()`, `DMDASNESFunctionFn`, `DMDASNESJacobianFn`, `DMDASNESObjectiveVecFn`

## Level

intermediate

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages